/* -*- Mode: C; tab-width: 8; indent-tabs-mode: nil; c-basic-offset: 8 -*-
 *
 * Copyright (C) 2008 Hans Petter Jansson <hpj@novell.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */


#ifndef __GDM_SYSCONFIG_H
#define __GDM_SYSCONFIG_H

#include <glib-object.h>

G_BEGIN_DECLS

gchar    **gdm_sysconfig_load_file (const gchar *file_name);
gboolean   gdm_sysconfig_save_file (const gchar *file_name, const gchar **sysconfig);

gchar     *gdm_sysconfig_get_value (const gchar **sysconfig, const gchar *key);
gboolean   gdm_sysconfig_set_value (gchar **sysconfig, const gchar *key, const gchar *value);

gboolean   gdm_sysconfig_get_value_boolean (const gchar **sysconfig, const gchar *key, gboolean *value);
gboolean   gdm_sysconfig_set_value_boolean (gchar **sysconfig, const gchar *key, gboolean value);

gchar     *gdm_sysconfig_load_value (const gchar *file_name, const gchar *key);
gboolean   gdm_sysconfig_save_value (const gchar *file_name, const gchar *key, const gchar *value);

G_END_DECLS

#endif /* __GDM_SYSCONFIG_H */
